
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("business_sitehistory")]
    public class BusinessSitehistory
    {

        [Key]
        [Column("id")]
        public int id { get; set; }

        /// <summary>
        /// 站台
        /// </summary>
        [Column("site_id")]
        public Guid? siteId { get; set; }

        /// <summary>
        /// 载具
        /// </summary>
        [Column("car_id")]
        public Guid? carId { get; set; }

        /// <summary>
        /// 任务
        /// </summary>
        [Column("task_id")]
        public Guid? taskId { get; set; }

        /// <summary>
        /// 路径值
        /// </summary>
        [Column("sitearea_val")]
        public string siteareaVal { get; set; }

        /// <summary>
        /// 指令
        /// </summary>
        [Column("command_id")]
        public Guid? commandId { get; set; }

        /// <summary>
        /// 操作时间
        /// </summary>
        [Column("operate_time")]
        public DateTime? operateTime { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

